
locals {
  account_access_type = var.account_access_type
  associate_license = var.associate_license
  authentication_providers = var.authentication_providers
  configuration = var.configuration
  create = var.create
  create_iam_role = var.create_iam_role
  create_saml_configuration = var.create_saml_configuration
  create_security_group = var.create_security_group
  create_workspace = var.create_workspace
  data_sources = var.data_sources
  description = var.description
  enable_alerts = var.enable_alerts
  grafana_version = var.grafana_version
  iam_role_arn = var.iam_role_arn
  iam_role_description = var.iam_role_description
  iam_role_force_detach_policies = var.iam_role_force_detach_policies
  iam_role_max_session_duration = var.iam_role_max_session_duration
  iam_role_name = var.iam_role_name
  iam_role_path = var.iam_role_path
  iam_role_permissions_boundary = var.iam_role_permissions_boundary
  iam_role_policy_arns = var.iam_role_policy_arns
  iam_role_tags = var.iam_role_tags
  license_type = var.license_type
  name = var.name
  network_access_control = var.network_access_control
  notification_destinations = var.notification_destinations
  organization_role_name = var.organization_role_name
  organizational_units = var.organizational_units
  permission_type = var.permission_type
  role_associations = var.role_associations
  saml_admin_role_values = var.saml_admin_role_values
  saml_allowed_organizations = var.saml_allowed_organizations
  saml_editor_role_values = var.saml_editor_role_values
  saml_email_assertion = var.saml_email_assertion
  saml_groups_assertion = var.saml_groups_assertion
  saml_idp_metadata_url = var.saml_idp_metadata_url
  saml_idp_metadata_xml = var.saml_idp_metadata_xml
  saml_login_assertion = var.saml_login_assertion
  saml_login_validity_duration = var.saml_login_validity_duration
  saml_name_assertion = var.saml_name_assertion
  saml_org_assertion = var.saml_org_assertion
  saml_role_assertion = var.saml_role_assertion
  security_group_description = var.security_group_description
  security_group_name = var.security_group_name
  security_group_rules = var.security_group_rules
  security_group_tags = var.security_group_tags
  security_group_use_name_prefix = var.security_group_use_name_prefix
  stack_set_name = var.stack_set_name
  tags = var.tags
  use_iam_role_name_prefix = var.use_iam_role_name_prefix
  vpc_configuration = var.vpc_configuration
  workspace_api_keys = var.workspace_api_keys
  workspace_id = var.workspace_id
}
